Get an automation execution Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/automation-executions/{uuid}

Path parameters

  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      UUID of automation execution

    • created_at string

      Timestamp of when this execution was created

    • updated_at string

      Timestamp of when this execution was updated

    • status string

      Current status of this automation execution

    • triggered_by string

      Name of what triggered this automation execution

    • steps array[object]

      Collection of the steps in this execution

      Hide steps attributes Show steps attributes object
      • uuid string
      • created_at string
      • updated_at string
      • executed_at string
      • status string
      • info string
      • name string
    • name string

      Name of the automation blueprint

    • next_step object

      The next step set to run

      Hide next_step attributes Show next_step attributes object
      • uuid string
      • created_at string
      • updated_at string
      • executed_at string
      • status string
      • info string
      • name string
    • previous_step object

      The step that was last run

      Hide previous_step attributes Show previous_step attributes object
      • uuid string
      • created_at string
      • updated_at string
      • executed_at string
      • status string
      • info string
      • name string
    • account object

      The account this automation execution ran for (only included when requested)

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
GET /api/v1/automation-executions/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/automation-executions/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "cc137447-a749-4b21-88a5-b27ef8b16878",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "status": "in_progress",
  "triggered_by": "client.created",
  "steps": [
    {
      "uuid": "785fccc7-206f-4361-b6f1-e5dd96bcd824",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "executed_at": "2026-06-08T16:08:03+01:00",
      "status": "completed",
      "info": "\"[{errors : \"the account_uuid field is required\" }]\"",
      "name": "Send SMS"
    }
  ],
  "name": "Send client welcome pack to newly created client",
  "next_step": {
    "uuid": "86c5a09d-2313-4cbd-8f0d-c686e354223b",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "executed_at": "2026-06-08T16:08:03+01:00",
    "status": "completed",
    "info": "\"[{errors : \"the account_uuid field is required\" }]\"",
    "name": "Send SMS"
  },
  "previous_step": {
    "uuid": "d7f9b833-b553-4c81-8fec-20750d22bd05",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "executed_at": "2026-06-08T16:08:03+01:00",
    "status": "completed",
    "info": "\"[{errors : \"the account_uuid field is required\" }]\"",
    "name": "Send SMS"
  },
  "account": {
    "uuid": "144ecd28-e927-4a4a-8a98-998c2f3f6e7f",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:03+01:00",
    "next_review_date": "2026-06-08T16:08:03+01:00",
    "previous_review_date": "2026-06-08T16:08:03+01:00",
    "anniversary_review_date": "2026-06-08T16:08:03+01:00",
    "terms_of_business_at": "2026-06-08T16:08:03+01:00",
    "client_agreement_at": "2026-06-08T16:08:03+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:03",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}